##### Set_player_1.py
#
#  Set player 1 location with OSC datas
#
#############################################################################
## This file is part of blender_jeu_foot.
#
#    blender_jeu_foot is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    blender_jeu_foot is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################
#
# See http://wiki.labomedia.org/index.php/Accueil for more informations
#
#############################################################################

import GameLogic

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner
data = owner['data']

# get current scene
scene = GameLogic.getCurrentScene()
# get list of objects in scene
objList = scene.objects

# Get Objetcs with names
sphere0 = objList["OBHead.001"]
sphere1 = objList["OBNeck.001"]
sphere2	= objList["OBR_Shoulder.001"]
sphere3	= objList["OBR_Elbow.001"]
sphere4 = objList["OBR_Hand.001"]
sphere5	= objList["OBL_Shoulder.001"]
sphere6 = objList["OBL_Elbow.001"]
sphere7 = objList["OBL_Hand.001"]
sphere8	= objList["OBTorso.001"]
sphere9 = objList["OBR_Hip.001"]
sphere10 = objList["OBR_Knee.001"]
sphere11 = objList["OBR_Foot.001"]
sphere12 = objList["OBL_Hip.001"]
sphere13 = objList["OBL_Knee.001"]
sphere14 = objList["OBL_Foot.001"]
sphere15 = objList["OBR_Ankle.001"]
sphere16 = objList["OBL_Ankle.001"]

## Get how many datas are received
len_list = len(data)

## Set x y z Position
if data :
#	if data[0][1] ==1:
	if data[0][1] in range(5):
		for i in range(len_list):
			if data[i][0] == 'head':
				sphere0['x'] = data[i][2]
				sphere0['y'] = data[i][3]
				sphere0['z'] = data[i][4]

			if data[i][0] == 'neck':
				sphere1['x'] = data[i][2]
				sphere1['y'] = data[i][3]
				sphere1['z'] = data[i][4]

			if data[i][0] == 'l_shoulder':
				sphere2['x'] = data[i][2]
				sphere2['y'] = data[i][3]
				sphere2['z'] = data[i][4]

			if data[i][0] == 'l_elbow':
				sphere3['x'] = data[i][2]
				sphere3['y'] = data[i][3]
				sphere3['z'] = data[i][4]

			if data[i][0] == 'l_hand':
				sphere4['x'] = data[i][2]
				sphere4['y'] = data[i][3]
				sphere4['z'] = data[i][4]

			if data[i][0] == 'r_shoulder':
				sphere5['x'] = data[i][2]
				sphere5['y'] = data[i][3]
				sphere5['z'] = data[i][4]

			if data[i][0] == 'r_elbow':
				sphere6['x'] = data[i][2]
				sphere6['y'] = data[i][3]
				sphere6['z'] = data[i][4]

			if data[i][0] == 'r_hand':
				sphere7['x'] = data[i][2]
				sphere7['y'] = data[i][3]
				sphere7['z'] = data[i][4]

			if data[i][0] == 'torso':
				sphere8['x'] = data[i][2]
				sphere8['y'] = data[i][3]
				sphere8['z'] = data[i][4]

			if data[i][0] == 'l_hip':
				sphere9['x'] = data[i][2]
				sphere9['y'] = data[i][3]
				sphere9['z'] = data[i][4]

			if data[i][0] == 'l_knee':
				sphere10['x'] = data[i][2]
				sphere10['y'] = data[i][3]
				sphere10['z'] = data[i][4]

			if data[i][0] == 'l_foot':
				sphere11['x'] = data[i][2]
				sphere11['y'] = data[i][3]
				sphere11['z'] = data[i][4]

			if data[i][0] == 'r_hip':
				sphere12['x'] = data[i][2]
				sphere12['y'] = data[i][3]
				sphere12['z'] = data[i][4]

			if data[i][0] == 'r_knee':
				sphere13['x'] = data[i][2]
				sphere13['y'] = data[i][3]
				sphere13['z'] = data[i][4]

			if data[i][0] == 'r_foot':
				sphere14['x'] = data[i][2]
				sphere14['y'] = data[i][3]
				sphere14['z'] = data[i][4]

			if data[i][0] == 'r_ankle':
				sphere15['x'] = data[i][2]
				sphere15['y'] = data[i][3]
				sphere15['z'] = data[i][4]
			if data[i][0] == 'l_ankle':
				sphere16['x'] = data[i][2]
				sphere16['y'] = data[i][3]
				sphere16['z'] = data[i][4]


